Run an application in multiple Lync versions

Lync 2013

What's new topic

Learn how to run a Microsoft Lync 2013 API-enabled application on a computer where multiple versions of the Lync client is installed.

Last modified: February 22, 2013

Applies to: Lync 2013 | Lync Server 2013

Microsoft Lync 2013 client supports all applications that reference the Lync 2013 API or any previous version of the Lync client API. However, older versions of the Lync client do not support applications built with later versions of the Lync API. In this case, attempting to get the API entry point by calling the static LyncClient.GetClient or LyncClient.GetAutomation method fails with the Microsoft.Lync.Model.ClientNotFoundException exception. If multiple versions of the Lync client are installed on a computer, be sure to start the highest version of the client before starting your application.

Caution note Caution

A side-by-side installation of Microsoft Lync 2010 SDK and Microsoft Lync 2013 SDK is not supported by Microsoft. You should uninstall any older versions of Lync SDK before installing Microsoft Lync 2013 SDK.

UI suppression

If multiple versions of the Lync client are installed on a computer, the most recent version of the client process starts when your application initializes the process by calling the LyncClient.GetClient method. If the starting process is not configured for UI suppression, the client UI is shown on the desktop. To avoid this, be sure to set UI suppression for all version of the client that you install on a computer.

Show: